## r-cran-flexmix 2.3

=== DESCRIPTION ===
Package: flexmix
Type: Package
Title: Flexible Mixture Modeling
Version: 2.3-17
Authors@R: c(person("Bettina", "Gruen", role = c("aut", "cre"),
                    email = "Bettina.Gruen@R-project.org",
	            comment = c(ORCID = "0000-0001-7265-4773")),
             person("Friedrich", "Leisch", role = "aut",
	     	    comment = c(ORCID = "0000-0001-7278-1983")),
             person("Deepayan", "Sarkar", role = "ctb",
	            comment = c(ORCID = "0000-0003-4107-1553")),
	     person("Frederic", "Mortier", role = "ctb"),
	     person("Nicolas", "Picard", role = "ctb",
	            comment = c(ORCID = "0000-0001-5548-9171")))
Description: A general framework for finite mixtures of regression
  models using the EM algorithm is implemented. The E-step and all
  data handling are provided, while the M-step can be supplied by the
  user to easily define new models. Existing drivers implement
  mixtures of standard linear models, generalized linear models and
  model-based clustering.
Depends: R (>= 2.15.0), lattice
Imports: graphics, grid, grDevices, methods, modeltools (>= 0.2-16),
        nnet, stats, stats4, utils
Suggests: actuar, codetools, diptest, Ecdat, ellipse, gclus, glmnet,
        lme4 (>= 1.1), MASS, mgcv (>= 1.8-0), mlbench, multcomp,
        mvtnorm, SuppDists, survival
License: GPL (>= 2)
LazyLoad: yes
NeedsCompilation: no
Packaged: 2020-10-11 12:04:57 UTC; hornik
Author: Bettina Gruen [aut, cre] (<https://orcid.org/0000-0001-7265-4773>),
  Friedrich Leisch [aut] (<https://orcid.org/0000-0001-7278-1983>),
  Deepayan Sarkar [ctb] (<https://orcid.org/0000-0003-4107-1553>),
  Frederic Mortier [ctb],
  Nicolas Picard [ctb] (<https://orcid.org/0000-0001-5548-9171>)
Maintainer: Bettina Gruen <Bettina.Gruen@R-project.org>
Repository: CRAN
Date/Publication: 2020-10-12 08:19:16 UTC

## r-cran-flexmix 2.3-14

=== debian/changelog ===
r-cran-flexmix (2.3-14-1~bpo9+2) stretch-backports; urgency=medium

  * Versioned Build-Depends: dh-r (>= 20180713~) to avoid artificial
    Depends: libgdal-dev

 -- Andreas Tille <tille@debian.org>  Wed, 22 Aug 2018 09:56:03 +0200

r-cran-flexmix (2.3-14-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Aug 2018 22:45:47 +0200

r-cran-flexmix (2.3-14-1) unstable; urgency=medium

  * Initial release (closes: #905619)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Aug 2018 11:16:53 +0200

=== debian/control ===
Source: r-cran-flexmix
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r (>= 20180713~),
               r-base-dev,
               r-cran-lattice,
               r-cran-modeltools,
               r-cran-nnet
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flexmix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flexmix.git
Homepage: https://cran.r-project.org/package=flexmix

Package: r-cran-flexmix
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R flexible mixture modeling
 A general framework for finite mixtures of regression models using the
 EM algorithm is implemented. The package provides the E-step and all
 data handling, while the M-step can be supplied by the user to easily
 define new models. Existing drivers implement mixtures of standard
 linear models, generalized linear models and model-based clustering.

## r-cran-flexmix 2.3-15

=== debian/changelog ===
r-cran-flexmix (2.3-15-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:12:01 +0000

r-cran-flexmix (2.3-15-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 19:51:05 +0200

r-cran-flexmix (2.3-15-2) unstable; urgency=medium

  * Fix autopkgtest
    Closes: #934894
  * debhelper-compat 12
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Mon, 19 Aug 2019 11:38:14 +0200

r-cran-flexmix (2.3-15-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Add autopkgtest based on vignette

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 09:09:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               dh-r (>= 20180713~),
+Build-Depends: debhelper-compat (= 12),
+               dh-r,
                r-base-dev,
                r-cran-lattice,
                r-cran-modeltools,
                r-cran-nnet
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flexmix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flexmix.git
 Homepage: https://cran.r-project.org/package=flexmix
+Rules-Requires-Root: no
 
 Package: r-cran-flexmix
 Architecture: all

## r-cran-flexmix 2.3-17

=== debian/changelog ===
r-cran-flexmix (2.3-17-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 15 Oct 2020 11:35:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-lattice,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/flexmix_([-\d.]*)\.tar\.gz

## r-cran-flexmix 2.3-18

=== debian/changelog ===
r-cran-flexmix (2.3-18-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2022 11:52:52 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-lattice,
                r-cran-modeltools,
                r-cran-nnet
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flexmix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flexmix.git
 Homepage: https://cran.r-project.org/package=flexmix

## r-cran-flexmix 2.3-19

=== debian/changelog ===
r-cran-flexmix (2.3-19-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2023 14:25:06 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-lattice,
                r-cran-modeltools,
                r-cran-nnet
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flexmix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flexmix.git
 Homepage: https://cran.r-project.org/package=flexmix

## r-cran-flexmix 2.3-20

=== debian/changelog ===
r-cran-flexmix (2.3-20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 04 Mar 2025 09:10:30 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-lattice,
                r-cran-modeltools,
                r-cran-nnet
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flexmix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flexmix.git
 Homepage: https://cran.r-project.org/package=flexmix

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-diptest, r-cran-ellipse, r-cran-mvtnorm
Restrictions: allow-stderr
